import { ReactNode } from 'react';
import { Palette } from "./palette";
import { Font } from "./font";
export declare type ThemeProps = {
    palette: Palette;
    font?: Record<string, Font>;
    primaryButton?: (prop: ThemeProps) => any;
    checkButton?: (prop: ThemeProps) => any;
};
export declare type Theme = {
    theme: ThemeProps;
    adornmentEnd?: string | ReactNode;
    adornmentStart?: string | ReactNode;
};
export declare const defaultTheme: {
    palette: {
        boxShadow: string;
        primary: string;
        primary_dark: string;
        light: string;
        light_hover: string;
        black: string;
        dark_black: string;
        white: string;
        extra_light: string;
        gray: string;
        light_gray: string;
        gray_200: string;
        gray_300: string;
        error: string;
        gray_400: string;
        gray_500: string;
    };
    font: Record<string, Font>;
    primaryButton: ({ palette }: ThemeProps) => {
        borderRadius: string;
        background: string;
        color: string;
        transition: string;
        '&:hover': {
            background: string;
        };
        '&:active': {
            boxShadow: string;
        };
    };
    checkButton: ({ palette }: ThemeProps) => {
        '& $checkWrapper': {
            marginLeft: number;
            minWidth: number;
            width: number;
            height: number;
            background: string;
            position: string;
            right: string;
            display: string;
            justifyContent: string;
            alignItems: string;
            borderRadius: string;
        };
        '& $checkIconCl': {
            width: number;
            '& path': {
                color: string;
            };
        };
        '& $childrenStyle': {
            paddingRight: string;
        };
        '& $centeredChildren': {
            width: string;
            paddingLeft: string;
        };
        display: string;
        justifyContent: string;
        alignItems: string;
    };
};
export declare const theming: import("theming").Theming<ThemeProps>;
